## mazeofgalious 0.62.dfsg2

=== Makefile ===
OBJS := \
	main.o gametiles.o bitmaps.o gameaux.o gamecycle.o render.o \
	ingamecycle.o passwords.o shrines.o demons.o gameinteractions.o \
	line_clip.o path.o sound.o drawing.o gameobjects.o loadpcx.o \
	roomchange.o debug-report.o keyboard.o

all: mog

%.o: %.cpp
	c++ -c -g3 -O0 $< -o $@ `sdl-config --cflags` -I/usr/local/include/SDL

# dynamically linked binary:
mog: $(OBJS)
	c++ $^ -o $@ `sdl-config --libs` -lSDL_image -lSDL_mixer -lSDL_sound -lSDL_sound -I/usr/local/include/SDL

# static binary:
mogs: $(OBJS)
	c++ -static $^ -o $@ -lSDL_image -lSDL_mixer -lSDL_sound -lpng -ljpeg -lz `sdl-config --static-libs`

clean:
	rm -f mog mogs
	rm -f *.o

=== debian/changelog ===
mazeofgalious (0.62.dfsg2-6) unstable; urgency=medium

  * Adopt game inside Games Team (Closes: #661454)
  * Reformat d/control with debputy

  [ Patrice Duroux ]
  * Add watch file (Closes: #998229)
  * Rewrite d/copyright in machine-parsable format
  * Update Homepage URL

 -- Alexandre Detiste <tchet@debian.org>  Mon, 10 Mar 2025 10:43:04 +0100

mazeofgalious (0.62.dfsg2-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to enforce use of pristine-tar.
  * Use wrap-and-sort -at for debian control files
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Updated vcs in d/control to Salsa.
  * Moved to debhelper compat level 13.
  * Switch package to use XDG desktop entry instead of Debian menu.
  * Flagged in d/control that build work without root.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Apr 2024 22:37:02 +0200

mazeofgalious (0.62.dfsg2-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:01:07 +0200

mazeofgalious (0.62.dfsg2-4) unstable; urgency=medium

  * QA upload.
  * Switch to minimal dh debian/rules.
  * Switch to "3.0 (quilt)" source format.
  * Standards-Version: 3.9.6.

 -- Santiago Vila <sanvila@debian.org>  Fri, 30 Oct 2015 21:37:29 +0100

mazeofgalious (0.62.dfsg2-3) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA group. (Closes: #675217)
  * Provide build-arch and build-indep targets in debian/rules.
  * Do not ignore errors on make clean.
  * Standards-Version bumped to 3.9.3.
  * Set debhelper compatibility level to 9.
  * Use dh_prep instead of deprecated dh_clean -k.
  * Add Homepage field.

 -- Emanuele Rocca <ema@debian.org>  Fri, 15 Jun 2012 11:05:26 +0000

mazeofgalious (0.62.dfsg2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make package binNMU safe (Closes: #502505)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 24 Jan 2010 13:47:48 +0100

mazeofgalious (0.62.dfsg2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove #define of abs(), which crashes with the stdlib headers; fixes
    FTBFS. (Closes: #377955)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 19 Jul 2006 14:40:59 +0200

mazeofgalious (0.62.dfsg2-2) unstable; urgency=low

  * Applied patch from upstream. (closes: #343500)
  * Fixed another typo in description.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu,  5 Jan 2006 14:45:20 +0100

mazeofgalious (0.62.dfsg2-1) unstable; urgency=low

  * Updated start.pcx and created a thegnu.pcx. (closes: #341501)
  * Added symlinks for sound and graphics. (closes: #341497)
  * Fixed typos in description. (closes: #341494)
  * Updated manual page.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu,  1 Dec 2005 13:04:23 +0100

mazeofgalious (0.62-1) unstable; urgency=low

  * Initial Release. (closes: #301527)
  * Removed non-free original graphics.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 26 Mar 2005 14:14:11 +0100

=== debian/control ===
Source: mazeofgalious
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-sound1.2-dev,
 libsdl1.2-dev,
Standards-Version: 4.7.0
Homepage: https://mog.jorito.net/
Vcs-Browser: https://salsa.debian.org/games-team/mazeofgalious
Vcs-Git: https://salsa.debian.org/games-team/mazeofgalious.git
Rules-Requires-Root: no
X-Style: black

Package: mazeofgalious
Architecture: any
Depends:
 mazeofgalious-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: The Maze of Galious
 This is a very addictive game where you have to kill thousands of enemies,
 collect items in order to obtain new powers, and defeat some really great
 guys at the end of each level. You are free to go everywhere you want from
 the beginning of the game. You have to choose very carefully the order in
 which you visit all the rooms in the huge map if you want to keep your
 character alive. The map is structured in a main map (called the castle),
 and 10 submaps (called the worlds). Initially you are in the castle,
 and you have to find the keys that open the doors that go to each of the
 worlds. To complete the game, you have to defeat the boss at the end of
 each one of the 10 worlds. You are free to revisit each world as often as
 you want, in order to see if you have missed something. To defeat all 10
 beasts, you control two characters: Popolon and Aphrodite, and each one
 has special abilities, i.e. Popolon has a greater ability to jump and
 Aphrodite is able to dive.

Package: mazeofgalious-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: The Maze of Galious
 This package contains graphics, leveldata, sounds, and music needed
 for the game.

=== debian/watch ===
version=4
opts="uversionmangle=s/-/./" \
https://braingames.jorito.net/mog/downloads/mog.src_@ANY_VERSION@@ARCHIVE_EXT@
